## startpar 0.59

=== Makefile ===
VERSION = 0.59
#ISSUSE	= -DSUSE

INSTALL		= install -m 755
INSTALL_DATA	= install -m 644
DESTDIR		=
sbindir		= /sbin
mandir		= /usr/share/man
man8dir		= $(mandir)/man8

SRCS		= startpar.c makeboot.c proc.c
HDRS		= makeboot.h proc.h
REST		= COPYING Makefile startpar.8
OBJS		= $(SRCS:.c=.o)

STARTPAR        := $(shell pwd)/startpar

ifneq ($(INC),)
    LIBS	+= -lblogger
    COPTS	+= -DUSE_BLOGD
endif

CC     = gcc
CFLAGS = $(RPM_OPT_FLAGS) $(COPTS) -D_GNU_SOURCE $(INC) -Wall -W -pipe

# Enable large file support on GNU/Hurd
CFLAGS += $(shell getconf LFS_CFLAGS)

ifeq ($(MAKECMDGOALS),makeboot)
CFLAGS += -DTEST
endif

.c.o:
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" $(ISSUSE) -c $<

all: startpar
startpar: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -DVERSION=\"$(VERSION)\" $(ISSUSE) -o $@ $(OBJS) $(LIBS)

makeboot: makeboot.c

install: startpar
	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
	$(INSTALL) startpar $(DESTDIR)$(sbindir)/.
	$(INSTALL_DATA) startpar.8 $(DESTDIR)$(man8dir)/.

check: all
	$(MAKE) STARTPAR=$(STARTPAR) -C testsuite $@

distclean: clean
clean:
	rm -f startpar makeboot $(OBJS)

ifeq ($(MAKECMDGOALS),upload)
PACKAGE=startpar
PROJECT=sysvinit
SVLOGIN=$(shell svn info | sed -rn '/Repository Root:/{ s|.*//(.*)\@.*|\1|p }')
override TMP:=$(shell mktemp -d $(VERSION).XXXXXXXX)
override TARBALL:=$(TMP)/$(PACKAGE)-$(VERSION).tar.bz2
override SFTPBATCH:=$(TMP)/$(VERSION)-sftpbatch

dist: $(TARBALL) $(TARBALL).sig
	@cp $(TARBALL) .
	@cp $(TARBALL).sig .
	@echo "tarball $(PACKAGE)-$(VERSION).tar.bz2 ready"
	rm -rf $(TMP)

upload: $(SFTPBATCH)
	@sftp -b $< $(SVLOGIN)@dl.sv.nongnu.org:/releases/$(PROJECT)
	rm -rf $(TMP)

$(SFTPBATCH): $(TARBALL).sig
	@echo progress > $@
	@echo put $(TARBALL) >> $@
	@echo chmod 664 $(notdir $(TARBALL)) >> $@
	@echo put $(TARBALL).sig >> $@
	@echo chmod 664 $(notdir $(TARBALL)).sig >> $@
#	@echo rm  $(PACKAGE)-latest.tar.bz2 >> $@
#	@echo symlink $(notdir $(TARBALL)) $(PACKAGE)-latest.tar.bz2 >> $@
	@echo quit >> $@

$(TARBALL).sig: $(TARBALL)
	@gpg -q -ba --use-agent -o $@ $<

$(TARBALL): $(TMP)/$(PACKAGE)-$(VERSION)
	@tar --bzip2 --owner=nobody --group=nogroup -cf $@ -C $(TMP) $(PACKAGE)-$(VERSION)

$(TMP)/$(PACKAGE)-$(VERSION): .svn
	svn export . $@
	@chmod -R a+r,u+w,og-w $@
	@find $@ -type d | xargs -r chmod a+rx,u+w,og-w
endif

=== debian/changelog ===
startpar (0.59-3) unstable; urgency=low

  * Adjust 83_hardening.patch to a version more suitable for upstream.
  * New patch 20_testuite_nostderr.patch to adjust test suite to not
    print anything to stderr.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2014 09:16:14 +0200

startpar (0.59-2) unstable; urgency=low

  * Remove obsolete lintian overrides.
  * Add GPG signature checking to watch file.
  * Use canonical git URL in Vcs-Git control field.
  * Extend long package description a bit.
  * Remove 71_signalfd.patch now applied upstream.
  * Combine 75_man_startpar_see_also.patch and 82_man_startpar_rc-dir.patch
    into 10_man_startpar_debian.patch, including Debian related edits to
    the startpar manual page.
  * Adjust autopkgtest check to not try to build the source before
    running the test suite.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Apr 2014 19:10:15 +0200

startpar (0.59-1) unstable; urgency=low

  * New upstream release.
    - Include test suite.
    - Includes our patches 70_not_suse.patch, 72_path_max.patch,
      73_lfs_cflags.patch, 74_man_startpar_iorate.patch,
      76_startpar_ldflags.patch, 77_startpar_skip_reason.patch and
      79_startpar_kfreebsd_mlockall.patch.
  * Add autopkgtest self test code using the test suite available in the
    next upstream version of startpar.  Also run test suite during build.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Apr 2014 11:35:42 +0200

startpar (0.58-5) unstable; urgency=low

  * Upload final startpar split from sysvinit-utils to unstable.
  * Fix build problem on !linux systems (Closes: #743456).
  * Correct Vcs-Browser URL in control file, add missing .git ending.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 07 Apr 2014 11:49:38 +0200

startpar (0.58-4) experimental; urgency=low

  * Undo renaming done in 0.58-2, and instead conflict with sysvinit-utils,
    to avoid inconsistent upstart configuration during upgrades.
    No need for postinst code to remove /etc/init/startpar-injector.conf,
    which was never installed by mistake.  This version breaks/replaces
    sysvinit-utils (<< 2.88dsf-52) to take over the files
    /usr/share/man/man8/startpar-upstart-inject.8.gz,
    /usr/share/man/man8/startpar.8.gz and
    /etc/init/startpar-bridge.conf from that soon to be uploaded package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Apr 2014 10:08:28 +0200

startpar (0.58-3) unstable; urgency=low

  * Adjust when messages are printed and how time outs are handled
    with parallel booting (Closes: #678260).  Patch from Em DeEm.
  * Use correct path to rcX.d/ directories in startpar(8)
    (Closes: #570958).
  * Add hardening flags to the build.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Mar 2014 23:38:54 +0100

startpar (0.58-2) unstable; urgency=low

  * Rename startpar-upstart-inject to startpar-upstart-injector,
    startpar(8) to startpar(8init) and startpar-bridge
    to startpar-upstart-injector to avoid having to conflict with
    sysvinit-utils (Closes: #742822).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Mar 2014 23:17:05 +0100

startpar (0.58-1) unstable; urgency=low

  * Split out startpar from sysvinit-tools for easier maintenance.
  * Place startpar binary in /lib/startpar/ to reduce the chance of anyone
    calling it outside the boot system.
  * Depend on hardening-wrapper and enable it in the rules file.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Feb 2014 22:15:02 +0100

=== debian/control ===
Source: startpar
Section: admin
Priority: required
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Henrique de Moraes Holschuh <hmh@debian.org>,
 Kel Modderman <kel@otaku42.de>,
 Roger Leigh <rleigh@debian.org>,
 Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 9.20120410)
 , quilt (>= 0.40)
 , hardening-wrapper
Standards-Version: 3.9.5
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Git: git://anonscm.debian.org/collab-maint/startpar
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/startpar.git
XS-Testsuite: autopkgtest

Package: startpar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: insserv, sysv-rc
Breaks: sysvinit-utils (<< 2.88dsf-52)
Replaces: sysvinit-utils (<< 2.88dsf-52)
Description: run processes in parallel and multiplex their output
 Used by the sysv-rc boot system executor to run init.d scripts in parallel
 while making sure the script output is not completely messed up.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) EXTRACPPFLAGS="$(CPPFLAGS)" EXTRACFLAGS="$(CFLAGS)" EXTRALDFLAGS="$(LDFLAGS)" $(CROSS) startpar check
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) EXTRACPPFLAGS="$(CPPFLAGS)" EXTRACFLAGS="$(CFLAGS)" EXTRALDFLAGS="$(LDFLAGS)" $(CROSS) startpar-upstart-inject
endif

override_dh_auto_install-arch:
	$(MAKE) DESTDIR=debian/startpar sbindir=/lib/startpar install
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install startpar-upstart-inject lib/startpar/
	dh_installman startpar-upstart-inject.8
endif

override_dh_installinit-arch:
	dh_installinit --name startpar-bridge -n

override_dh_clean:
	dh_clean
	$(MAKE) clean
ifeq ($(DEB_HOST_ARCH_OS),linux)
	rm -f startpar-upstart-inject
endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://download.savannah.gnu.org/releases/sysvinit/startpar-(.*).tar.bz2

## startpar 0.61

=== Makefile ===
VERSION = 0.61
PACKAGE=startpar
PROJECT=sysvinit
#ISSUSE	= -DSUSE

INSTALL		= install -m 755
INSTALL_DATA	= install -m 644
DESTDIR		=
sbindir		= /sbin
mandir		= /usr/share/man
man8dir		= $(mandir)/man8

SRCS		= startpar.c makeboot.c proc.c
CXXSRCS         = compiletest.cc
HDRS		= makeboot.h proc.h
REST		= COPYING Makefile startpar.8
OBJS		= $(SRCS:.c=.o) $(CXXSRCS:.cc=.o)

STARTPAR        := $(shell pwd)/startpar
TARBALL	        = $(PACKAGE)-$(VERSION).tar.xz

ifneq ($(INC),)
    LIBS	+= -lblogger
    COPTS	+= -DUSE_BLOGD
endif

CC     ?= gcc
CFLAGS = $(RPM_OPT_FLAGS) $(COPTS) -D_GNU_SOURCE $(INC) -pipe

WARNINGS = -Wall -W -Wformat -Werror=format-security
CFLAGS += $(WARNINGS)

# Enable large file support on GNU/Hurd
CFLAGS += $(shell getconf LFS_CFLAGS)

CPPFLAGS += $(EXTRACPPFLAGS)
CFLAGS += $(EXTRACFLAGS)
LDFLAGS += $(EXTRALDFLAGS)

ifeq ($(MAKECMDGOALS),makeboot)
CFLAGS += -DTEST
endif

SOURCEFILES= compiletest.cc \
             COPYING \
             makeboot.c \
             makeboot.h \
             Makefile \
             proc.c \
             proc.h \
             README \
             startpar.8 \
             startpar.c


.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -DVERSION=\"$(VERSION)\" $(ISSUSE) -c $<

all: startpar
startpar: $(OBJS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DVERSION=\"$(VERSION)\" $(ISSUSE) -o $@ $(OBJS) $(LIBS)

makeboot: makeboot.c

install: startpar
	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
	$(INSTALL) startpar $(DESTDIR)$(sbindir)/.
	$(INSTALL_DATA) startpar.8 $(DESTDIR)$(man8dir)/.

check: all
	$(MAKE) STARTPAR=$(STARTPAR) -C testsuite $@

distclean: clean
	rm -f $(TARBALL) $(TARBALL).sig

clean:
	rm -f startpar makeboot $(OBJS)


dist: $(TARBALL).sig

$(TARBALL).sig: $(TARBALL)
	@gpg -q -ba --use-agent -o $@ $<

$(TARBALL): clean
	mkdir -p startpar/testsuite
	cp $(SOURCEFILES) startpar/
	cp testsuite/* startpar/testsuite/
	@tar --xz --owner=nobody --group=nogroup -cf $(TARBALL) startpar/
	rm -rf startpar/

=== debian/changelog ===
startpar (0.61-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Update upstream signing key
  * Remove obsolete conffile (Closes: #768939)
  * Fix FTBFS with glibc-2.28 (Closes: #915962)
    + Thanks: Samuel Thibault <sthibault@debian.org>
  * Remove obsolete XS-Testsuite field from `debian/control'

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 08 Dec 2018 21:38:44 +0000

startpar (0.61~beta-1) experimental; urgency=medium

  * New upstream release (Closes: #679630, #609959, #696359, #763703)
  * Update `debian/watch' file
  * Refresh patches
    + drop `20_testuite_nostderr.patch' -- applied upstream
    + drop `upstart_support.patch' -- upstart no longer in Debian
    + drop `83_hardening.patch' -- applied upstream
  * Remove references to `upstart' in `debian/rules'
  * Update Maintainer field in `debian/control' (Closes: #834283)
  * Add myself into list of uploaders
  * Update Vcs-* fields in debian/control.
  * Update standards version to 4.2.1 (no changes needed)
  * Drop versioned dependency on `quilt', which is satisfied even on
    old-old-stable.
  * Bump compat version to 11 (no changes needed)
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Remove `unstart' init script
  * Fix spelling errors in source
  * Use https when referring to copyright format

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Nov 2018 23:55:47 +0000

startpar (0.59-4) unstable; urgency=medium

  * Acknowledge NMUs.
  * In test suite, look for insserv in /usr/lib/insserv/insserv
    too (Closes: #830557).  Patch from Jon Boden and Ubuntu.
  * Avoid running test suite twice during build and do not run tests
    when DEB_BUILD_OPTIONS contains nocheck (Closes: #794138).  Patch
    from Helmut Grohne.
  * Comment out description from the startpar upstart job, to disable
    plymouth-upstart-bridge boot messages with "Starting/Stopping
    startpar bridge" for every upstart job (Closes: #747189).  Patch
    from Dimitri John Ledkov and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 15 Nov 2017 09:57:10 +0100

startpar (0.59-3.2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.
  * Update (remove) all Uploaders except Petter Reinholdtsen, according to
    this changelog they never actually contributed to this package, the
    same was done with sysvinit (the lead among the group of packages, see
    #834283 and #811377), and the package is RFAed.  The people removed are:
    - Henrique de Moraes Holschuh
    - Kel Modderman
    - Roger Leigh (Closes: #869350)
    - Thomas Goirand

  [ Helmut Grohne ]
  * Fix FTCBFS. (Closes: #794138, #816186)
    + Pass host arch CC to Makefile.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 07 Nov 2017 00:17:03 +0100

startpar (0.59-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jon Boden ]
  * Add insserv to Build-Depends. (Closes: #830549)

  [ Christian Hofstaedtler ]
  * Replace obsolete hardening-wrapper with buildflags.mk.
    (Closes: #831605)

  [ Michael Biebl ]
  * Demote priority to optional.
  * Mark startpar as Multi-Arch: foreign. (Closes: #804503)

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Jul 2016 18:05:22 +0200

=== debian/control ===
Source: startpar
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Dmitry Bogatov <KAction@debian.org>
Build-Depends:
 debhelper-compat (= 11)
 , insserv
Standards-Version: 4.2.1
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://salsa.debian.org/debian/startpar.git
Vcs-Browser: https://salsa.debian.org/debian/startpar

Package: startpar
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: insserv, sysv-rc
Breaks: sysvinit-utils (<< 2.88dsf-52)
Replaces: sysvinit-utils (<< 2.88dsf-52)
Description: run processes in parallel and multiplex their output
 Used by the sysv-rc boot system executor to run init.d scripts in parallel
 while making sure the script output is not completely messed up.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) EXTRACPPFLAGS="$(CPPFLAGS)" EXTRACFLAGS="$(CFLAGS)" EXTRALDFLAGS="$(LDFLAGS)" CC=$(CC) startpar

override_dh_auto_install-arch:
	$(MAKE) DESTDIR=debian/startpar sbindir=/lib/startpar install

override_dh_installinit-arch:
	dh_installinit --name startpar-bridge -n

override_dh_clean:
	dh_clean
	$(MAKE) clean

=== debian/tests/control ===
Tests: testsuite
Depends: @, insserv

## startpar 0.64

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.61
+VERSION = 0.64
 PACKAGE=startpar
 PROJECT=sysvinit
 #ISSUSE	= -DSUSE
@@ -6,15 +6,16 @@
 INSTALL		= install -m 755
 INSTALL_DATA	= install -m 644
 DESTDIR		=
-sbindir		= /sbin
+sbindir		= /bin
 mandir		= /usr/share/man
-man8dir		= $(mandir)/man8
+man1dir		= $(mandir)/man1
 
 SRCS		= startpar.c makeboot.c proc.c
 CXXSRCS         = compiletest.cc
 HDRS		= makeboot.h proc.h
-REST		= COPYING Makefile startpar.8
+REST		= COPYING Makefile startpar.1
 OBJS		= $(SRCS:.c=.o) $(CXXSRCS:.cc=.o)
+OPT		?= -O2
 
 STARTPAR        := $(shell pwd)/startpar
 TARBALL	        = $(PACKAGE)-$(VERSION).tar.xz
@@ -25,7 +26,7 @@
 endif
 
 CC     ?= gcc
-CFLAGS = $(RPM_OPT_FLAGS) $(COPTS) -D_GNU_SOURCE $(INC) -pipe
+CFLAGS = $(RPM_OPT_FLAGS) $(COPTS) -D_GNU_SOURCE $(INC) -pipe $(OPT)
 
 WARNINGS = -Wall -W -Wformat -Werror=format-security
 CFLAGS += $(WARNINGS)
@@ -37,11 +38,16 @@
 CFLAGS += $(EXTRACFLAGS)
 LDFLAGS += $(EXTRALDFLAGS)
 
+CPPFLAGS += $(EXTRACPPFLAGS)
+CFLAGS += $(EXTRACFLAGS)
+LDFLAGS += $(EXTRALDFLAGS)
+
 ifeq ($(MAKECMDGOALS),makeboot)
 CFLAGS += -DTEST
 endif
 
 SOURCEFILES= compiletest.cc \
+	     CHANGELOG \
              COPYING \
              makeboot.c \
              makeboot.h \
@@ -49,7 +55,7 @@
              proc.c \
              proc.h \
              README \
-             startpar.8 \
+             startpar.1 \
              startpar.c
 
 
@@ -63,9 +69,9 @@
 makeboot: makeboot.c
 
 install: startpar
-	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
+	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man1dir)
 	$(INSTALL) startpar $(DESTDIR)$(sbindir)/.
-	$(INSTALL_DATA) startpar.8 $(DESTDIR)$(man8dir)/.
+	$(INSTALL_DATA) startpar.1 $(DESTDIR)$(man1dir)/.
 
 check: all
 	$(MAKE) STARTPAR=$(STARTPAR) -C testsuite $@

=== debian/changelog ===
startpar (0.64-3) unstable; urgency=medium

  * Temporary disable tests to actually resolve migration

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 22 Sep 2019 03:10:50 +0000

startpar (0.64-2) unstable; urgency=medium

  * Resolve insserv=1.21.0 migration loop

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 17 Sep 2019 23:56:53 +0000

startpar (0.64-1) unstable; urgency=medium

  * New upstream release (Closes: #588666)
  * Prevent warnings on stderr from breaking autopkgtests (Closes: #934961)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 12 Sep 2019 07:08:43 +0000

startpar (0.64~beta-1) unstable; urgency=medium

  * New upstream release (Closes: #931977)
  * Refresh patches, drop applied upstream
  * Stricten build/test dependency on insserv(8) as required for testsuite

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 26 Aug 2019 22:17:44 +0000

startpar (0.63-2) unstable; urgency=medium

  * Fix testsuite compatibility with insserv (>= 1.20) (Closes: #934945)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 19 Aug 2019 12:11:36 +0000

startpar (0.63-1) unstable; urgency=medium

  * New upstream release. (Closes: #926545)
  * Upload to unstable.
  * [97ac38cb] Rediff patches
  * [c2e9aeef] Drop code moving startpar from /sbin to /bin (upstreamed)
  * [94f12bfa] Update standards version to 4.4.0
  * [f71d9a1e] Update debhelper compat version to 12.
  * [eac28929] Set "unstable" as target distribution in CI config.
  * [bdf71806] Drop patch checking for alternative locations of insserv.
  * [5c68e10d] wrap-and-sort -sta

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 12 Jul 2019 05:23:26 +0000

startpar (0.63~beta-1) experimental; urgency=medium

  * New upstream release.
  * [753ddcab] Refresh patches
  * [f05584d5] Install binary into /bin

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 23 May 2019 01:06:10 +0000

startpar (0.62-1) experimental; urgency=medium

  * New upstream release (Closes: #924117)
  * Drop patches, applied upstream:
    + 81_timeout.patch
    + 99-fix-spelling-error.patch
  * Remove `30_testsuite_insserv.patch' -- we can assume,
    that `/sbin/insserv' exists.
  * Re-export upstream signing key without extra signatures.
  * Use secure URI in Homepage field.
  * Use `startpar.maintscript' instead of manual calls to
    `dpkg-maintscript-helper'.
  * Bump standards version to 4.3.0
  * Install startpar(8) into /sbin (Closes: #926544)
  * Simplify `debian/rules'.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 10 Apr 2019 11:16:46 +0000

=== debian/control ===
Source: startpar
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Dmitry Bogatov <KAction@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.4.0
Homepage: https://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://salsa.debian.org/debian/startpar.git
Vcs-Browser: https://salsa.debian.org/debian/startpar

Package: startpar
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 insserv,
 sysv-rc,
Breaks:
 sysvinit-utils (<< 2.88dsf-52),
Replaces:
 sysvinit-utils (<< 2.88dsf-52),
Description: run processes in parallel and multiplex their output
 Used by the sysv-rc boot system executor to run init.d scripts in parallel
 while making sure the script output is not completely messed up.

## startpar 0.65

=== debian/changelog ===
startpar (0.65-1) unstable; urgency=medium

  * New upstream version 0.65.
     - includes testsuite fixes (Closes: #931976)
  * Restore autopkgtest using testsuite.
  * Keep startpar binary in /bin despite upstream change to use PREFIX.
  * d/control:
     - remove Dmitry from Uploaders. (Closes: #991034)
     - add myself to Uploaders
     - update to Standards Version 4.6.0 (no changes)

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 11:03:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
- Dmitry Bogatov <KAction@debian.org>,
+ Mark Hindley <leepen@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://savannah.nongnu.org/projects/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/startpar.git
 Vcs-Browser: https://salsa.debian.org/debian/startpar

=== debian/watch ===
version=3
opts="pgpmode=auto,uversionmangle=s/-beta/~beta/" \
  https://download.savannah.gnu.org/releases/sysvinit/ \
  (?:|.*/)startpar(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## startpar 0.66

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.64
+VERSION = 0.66
 PACKAGE=startpar
 PROJECT=sysvinit
 #ISSUSE	= -DSUSE
@@ -6,8 +6,9 @@
 INSTALL		= install -m 755
 INSTALL_DATA	= install -m 644
 DESTDIR		=
-sbindir		= /bin
-mandir		= /usr/share/man
+PREFIX		?= /usr
+sbindir		= $(PREFIX)/bin
+mandir		= $(PREFIX)/share/man
 man1dir		= $(mandir)/man1
 
 SRCS		= startpar.c makeboot.c proc.c
@@ -70,11 +71,11 @@
 
 install: startpar
 	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man1dir)
-	$(INSTALL) startpar $(DESTDIR)$(sbindir)/.
-	$(INSTALL_DATA) startpar.1 $(DESTDIR)$(man1dir)/.
+	$(INSTALL) startpar $(DESTDIR)$(sbindir)/
+	$(INSTALL_DATA) startpar.1 $(DESTDIR)$(man1dir)/
 
 check: all
-	$(MAKE) STARTPAR=$(STARTPAR) -C testsuite $@
+	$(MAKE) STARTPAR=$(STARTPAR) PREFIX=$(PREFIX) -C testsuite $@
 
 distclean: clean
 	rm -f $(TARBALL) $(TARBALL).sig

=== debian/changelog ===
startpar (0.66-1) unstable; urgency=medium

  * New upstream version 0.66.
    - includes manpage fixes (Closes: #1092823).

 -- Mark Hindley <leepen@debian.org>  Thu, 06 Feb 2025 19:00:23 +0000

startpar (0.65-4) unstable; urgency=medium

  * d/t/install-binary-ignore-PREFIX.patch: drop to move files in aliased
    locations to /usr.  (Closes: #1073677)
  * d/t/testsuite: use canonical path.

 -- Mark Hindley <leepen@debian.org>  Tue, 18 Jun 2024 12:25:58 +0100

startpar (0.65-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Petter Reinholdtsen ]
  * Remove an obsolete maintscript entry.

  [ Mark Hindley ]
  * Revert "d/test/control: remove redundant @ from Depends." to fix
    autopkgtest regression

 -- Mark Hindley <leepen@debian.org>  Fri, 14 Jun 2024 13:45:50 +0100

startpar (0.65-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.

  [ Mark Hindley ]
  * d/control:
    - bump standards version (no changes).
    - drop Petter Reinholdtsen from uploaders with thanks.
  * d/test/control: remove redundant @ from Depends.
  * Update upstream contact and URLs.
  * d/watch: update to version 4

 -- Mark Hindley <leepen@debian.org>  Thu, 13 Jun 2024 15:38:24 +0100

=== debian/control ===
Source: startpar
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Mark Hindley <leepen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/slicer69/startpar
Vcs-Git: https://salsa.debian.org/debian/startpar.git
Vcs-Browser: https://salsa.debian.org/debian/startpar

Package: startpar
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 insserv,
 sysv-rc,
Description: run processes in parallel and multiplex their output
 Used by the sysv-rc boot system executor to run init.d scripts in parallel
 while making sure the script output is not completely messed up.

=== debian/watch ===
version=4
opts="pgpmode=auto,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/slicer69/startpar/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## startpar 0.67

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.66
+VERSION = 0.67
 PACKAGE=startpar
 PROJECT=sysvinit
 #ISSUSE	= -DSUSE
@@ -27,9 +27,9 @@
 endif
 
 CC     ?= gcc
-CFLAGS = $(RPM_OPT_FLAGS) $(COPTS) -D_GNU_SOURCE $(INC) -pipe $(OPT)
+CFLAGS += $(RPM_OPT_FLAGS) $(COPTS) -D_GNU_SOURCE $(INC) -pipe $(OPT)
 
-WARNINGS = -Wall -W -Wformat -Werror=format-security
+WARNINGS += -Wall -W -Wformat -Werror=format-security
 CFLAGS += $(WARNINGS)
 
 # Enable large file support on GNU/Hurd

=== testsuite/Makefile ===
STARTPAR = ../startpar

all:

check:
	STARTPAR=$(STARTPAR) ./runtests

=== debian/changelog ===
startpar (0.67-1) unstable; urgency=medium

  * Update URLs following upstream migration to codeberg.
  * New upstream version 0.67
    - includes fix for building with gcc-15 (Closes: #1097938)

 -- Mark Hindley <leepen@debian.org>  Mon, 15 Sep 2025 14:45:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Standards-Version: 4.7.0
-Homepage: https://github.com/slicer69/startpar
+Homepage: https://codeberg.org/thejessesmith/startpar
 Vcs-Git: https://salsa.debian.org/debian/startpar.git
 Vcs-Browser: https://salsa.debian.org/debian/startpar

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DESTDIR = debian/startpar
export EXTRACPPFLAGS = $(CPPFLAGS)
export EXTRACFLAGS = $(CFLAGS)
export EXTRALDFLAGS = $(LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

override_dh_auto_test:

=== debian/tests/control ===
Tests: testsuite
Restrictions: allow-stderr
Depends:
 insserv,
 @,

=== debian/watch ===
version=4
opts="pgpmode=auto,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://codeberg.org/thejessesmith/startpar/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
